%Funksjonen leser absorpsjonsfaktorer og reduksjonsindeks fra WinFlag-resultater
%hentflagabs(flagpath,flagname,skiplines,nfrek)
%flagpath:	fillokasjon
%flagname:	filnavn
%skiplines:	antall linjer med tekstinformasjon fr resultatverdiene
%nfrek:		antall 1/3 oktavbnd som skal leses

function hentflagabs(flagpath,flagname,skiplines,nfrek)

fid = fopen([flagpath,flagname,'.txt'],'r'); %Lesefil

InputText=textscan(fid,'%s',skiplines,'delimiter','\n');%Hopp over informasjonen om oppsettet.

Intro=InputText{1};
res=textscan(fid,'%n%n%n%n%n%n%n%s',nfrek,'delimiter',', ');%Les verdier

Frek=res{1,1}
alphas=res{1,2}
redind=res{1,5}
realimp=res{1,3}
imagimp=res{1,4}

if Frek(end)==5000,
  save(['../beregningsresultater/',flagname,'.mat'],'Frek','alphas','redind','realimp','imagimp')%Lagre verdier
fid = fclose(fid);  
else
    clc
disp('FEIL NFREK eller SKIPLINES')%Oppsettinformasjon er tatt med i resultatene. 
end