%Plotter noen av Parkinsons resultater

clear all
close all

f=[128 256 512 1024 2048 4096];
kvadr48sqft=[0.11 0.31 0.59 0.68 0.58 0.46];
kavd22space2=[.07 .30 .78 .96 .78 .48];

filt2tomeu=[.16 .63 1.1 1.22 .92 .88];
filt2tomec=[.19 .74 1.07 1.10 .79 .86];

filt1tomeu=[.08 .29 .74 1.07 .84 .7];
filt1tomec=[.19 .74 1.07 1.1 .79 .86];

figure(1)
semilogx(f,kvadr48sqft,'k-',f,kavd22space2,'--');

legend('48 sq. ft.','2x2fot, 2 fot spacing')
absorptionplotfix;

figure(2)
semilogx(f,filt2tomeu,'k--',f,filt2tomec,'k-',f,filt1tomeu,'r--',f,filt1tomec,'r-');
absorptionplotfix;
title('To tommers akustisk asbestfilt')
legend('pen kant 2 tommer','Dekket kant 2tommer','pen kant 1 tomme','dekket kant 1 tomme')

sanacoustictile=[.0 -0.3 .19 .35 .3 .29]

figure(3)
diff = filt2tomeu-filt2tomec;
semilogx(f,diff,'k-',f,sanacoustictile,'--')
absorptionplotfix
legend('kning for filt','kning for tegl og filt')
ylim([-0.2 1])
